Package org.apache.groovy.contracts.ast.visitor

# Interface ASTNodeMetaData

All Known Implementing Classes:
  `AnnotationClosureVisitor`, `ContractElementVisitor`

public interface ASTNodeMetaData
Holds all constants to be used as AST node metadata keys.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLOSURE_REPLACED`
  `static final String`
  `PROCESSED`

- ## Field Details

  - ### PROCESSED

    static final String PROCESSED
    See Also:
      - Constant Field Values

  - ### CLOSURE_REPLACED

    static final String CLOSURE_REPLACED
    See Also:
      - Constant Field Values